shibboleth-3.5.0

Public Member Functions | List of all members
shibsp::ProtocolProvider Class Referenceabstract

Interface to protocol, binding, and default endpoint information. More...

`#include <shibsp/binding/ProtocolProvider.h>`

Inheritance diagram for shibsp::ProtocolProvider:

## Public Member Functions
virtual const PropertySet * | getInitiator (const char *protocol, const char *service) const =0
| Returns configuration details for initiating a protocol service, as a PropertySet. More...
virtual const std::vector< const PropertySet * > & | getBindings (const char *protocol, const char *service) const =0
| Returns an ordered array of protocol bindings available for a specified service. More...

## Detailed Description

Interface to protocol, binding, and default endpoint information.

## Member Function Documentation

## ◆ getBindings()

virtual const std::vector< const PropertySet * > & shibsp::ProtocolProvider::getBindings | ( | const char * | protocol,
|  | const char * | service
| ) |  | const
| pure virtual

Returns an ordered array of protocol bindings available for a specified service.

Parameters

  protocol | the name of a protocol
  service | name of the protocol service

Returns
  the array of bindings, each represented as a PropertySet

## ◆ getInitiator()

virtual const PropertySet * shibsp::ProtocolProvider::getInitiator | ( | const char * | protocol,
|  | const char * | service
| ) |  | const
| pure virtual

Returns configuration details for initiating a protocol service, as a PropertySet.

Parameters

  protocol | the name of a protocol
  service | the name of a service

Returns
  a PropertySet associated with initiation/request of a service

The documentation for this class was generated from the following file:

- shibsp/binding/ProtocolProvider.h